Functions

# geometry_func.hpp File Reference

Geometry functions. More...

`#include "geometry_type.hpp"`

Go to the source code of this file.

## Functions
Dimension | maxdim (const Dimension &d1, const Dimension &d2)
| Compute bounding box of both dimensions.

## Detailed Description

Geometry functions.

Definition in file geometry_func.hpp.

## Function Documentation

Dimension maxdim | ( | const Dimension & | d1,
|  | const Dimension & | d2 |
| ) |  |  |

Compute bounding box of both dimensions.

Parameters:

  | d1 | First dimension.
  | d2 | Second dimension.

Returns:
  The bounding box of both dimensions, the smallest dimension that surrounds both arguments.

Definition at line 22 of file geometry_func.cpp.

References max().

Referenced by VehicleGroupWindow::ComputeGroupInfoSize(), BaseVehicleListWindow::GetActionDropdownSize(), MessageOptionsWindow::OnInit(), IndustryCargoesWindow::OnInit(), SelectCompanyManagerFaceWindow::OnInit(), NWidgetLeaf::SetupSmallestSize(), NWidgetBackground::SetupSmallestSize(), VehicleDetailsWindow::UpdateWidgetSize(), VehicleListWindow::UpdateWidgetSize(), TownDirectoryWindow::UpdateWidgetSize(), TownAuthorityWindow::UpdateWidgetSize(), SubsidyListWindow::UpdateWidgetSize(), StatusBarWindow::UpdateWidgetSize(), SelectStationWindow< T >::UpdateWidgetSize(), CompanyStationsWindow::UpdateWidgetSize(), GameDifficultyWindow::UpdateWidgetSize(), GameOptionsWindow::UpdateWidgetSize(), BuildRailStationWindow::UpdateWidgetSize(), OrdersWindow::UpdateWidgetSize(), NewsWindow::UpdateWidgetSize(), NewGRFParametersWindow::UpdateWidgetSize(), NetworkClientListPopupWindow::UpdateWidgetSize(), MusicWindow::UpdateWidgetSize(), MusicTrackSelectionWindow::UpdateWidgetSize(), AboutWindow::UpdateWidgetSize(), SelectGameWindow::UpdateWidgetSize(), IndustryDirectoryWindow::UpdateWidgetSize(), BuildIndustryWindow::UpdateWidgetSize(), VehicleGroupWindow::UpdateWidgetSize(), PaymentRatesGraphWindow::UpdateWidgetSize(), GoalListWindow::UpdateWidgetSize(), CompanyWindow::UpdateWidgetSize(), SelectCompanyManagerFaceWindow::UpdateWidgetSize(), SelectCompanyLiveryWindow::UpdateWidgetSize(), BuildVehicleWindow::UpdateWidgetSize(), BuildBridgeWindow::UpdateWidgetSize(), ReplaceVehicleWindow::UpdateWidgetSize(), and BuildAirportWindow::UpdateWidgetSize().